Subject: Southern Hemisphere Trees/Shrubs

From: Trees ()
Date: Tue, 10 Jan 1995 08:38:12 -0600

Can anyone provide any information on growing Southern Hemisphere
trees/shrubs in hardiness zone 5?  I am looking for any positive/negative
experiences from those out there who have tried it.  Also appreciated are
sources for these plants and books or articles on the subject.  
In particular, plants like Nothofagus, Saxegothea, Fitzroya, Austrocedrus,
Araucaria, etc..., interest me.

Thank you for any help.